org.apache.tinkerpop.gremlin.structure.util

## Class StringFactory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.StringFactory

-     public final class StringFactory
      extends Object

  A collection of helpful methods for creating standard `Object.toString()` representations of graph-related objects.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `computeResultString(ComputerResult computerResult)`
    `static String` | `edgeString(Edge edge)` Construct the representation for a `Edge`.
    `static String` | `featureString(Graph.Features features)`
    `static String` | `graphComputerString(GraphComputer graphComputer)`
    `static String` | `graphString(Graph graph, String internalString)` Construct the representation for a `Graph`.
    `static String` | `graphVariablesString(Graph.Variables variables)`
    `static String` | `mapReduceString(MapReduce mapReduce)`
    `static String` | `mapReduceString(MapReduce mapReduce, String internalString)`
    `static String` | `memoryString(Memory memory)`
    `static String` | `pathString(Path path)`
    `static String` | `propertyString(Property property)` Construct the representation for a `Property` or `VertexProperty`.
    `static String` | `removeEndBrackets(Collection collection)`
    `static String` | `stepString(Step<?,?> step, Object... arguments)`
    `static String` | `storageString(String internalString)`
    `static String` | `translatorString(Translator translator)`
    `static String` | `traversalSideEffectsString(TraversalSideEffects traversalSideEffects)`
    `static String` | `traversalSourceString(TraversalSource traversalSource)`
    `static String` | `traversalStrategiesString(TraversalStrategies traversalStrategies)`
    `static String` | `traversalStrategyProxyString(TraversalStrategyProxy traversalStrategyProxy)`
    `static String` | `traversalStrategyString(TraversalStrategy traversalStrategy)`
    `static String` | `traversalString(Traversal.Admin<?,?> traversal)`
    `static String` | `vertexProgramString(VertexProgram vertexProgram)`
    `static String` | `vertexProgramString(VertexProgram vertexProgram, String internalString)`
    `static String` | `vertexString(Vertex vertex)` Construct the representation for a `Vertex`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### vertexString

          public static String vertexString(Vertex vertex)

      Construct the representation for a `Vertex`.

    - #### edgeString

          public static String edgeString(Edge edge)

      Construct the representation for a `Edge`.

    - #### propertyString

          public static String propertyString(Property property)

      Construct the representation for a `Property` or `VertexProperty`.

    - #### graphString

          public static String graphString(Graph graph,
                                           String internalString)

      Construct the representation for a `Graph`.
      Parameters:
        `internalString` - a mapper `String` that appends to the end of the standard representation

    - #### graphVariablesString

          public static String graphVariablesString(Graph.Variables variables)

    - #### memoryString

          public static String memoryString(Memory memory)

    - #### computeResultString

          public static String computeResultString(ComputerResult computerResult)

    - #### graphComputerString

          public static String graphComputerString(GraphComputer graphComputer)

    - #### traversalSourceString

          public static String traversalSourceString(TraversalSource traversalSource)

    - #### featureString

          public static String featureString(Graph.Features features)

    - #### traversalSideEffectsString

          public static String traversalSideEffectsString(TraversalSideEffects traversalSideEffects)

    - #### traversalStrategiesString

          public static String traversalStrategiesString(TraversalStrategies traversalStrategies)

    - #### traversalStrategyString

          public static String traversalStrategyString(TraversalStrategy traversalStrategy)

    - #### traversalStrategyProxyString

          public static String traversalStrategyProxyString(TraversalStrategyProxy traversalStrategyProxy)

    - #### translatorString

          public static String translatorString(Translator translator)

    - #### vertexProgramString

          public static String vertexProgramString(VertexProgram vertexProgram,
                                                   String internalString)

    - #### vertexProgramString

          public static String vertexProgramString(VertexProgram vertexProgram)

    - #### mapReduceString

          public static String mapReduceString(MapReduce mapReduce,
                                               String internalString)

    - #### mapReduceString

          public static String mapReduceString(MapReduce mapReduce)

    - #### stepString

          public static String stepString(Step<?,?> step,
                                          Object... arguments)

    - #### traversalString

          public static String traversalString(Traversal.Admin<?,?> traversal)

    - #### storageString

          public static String storageString(String internalString)

    - #### removeEndBrackets

          public static String removeEndBrackets(Collection collection)

    - #### pathString

          public static String pathString(Path path)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.